%global _empty_manifest_terminate_build 0
Name:           python-wrapt
Version:        1.15.0
Release:        1
Summary:        A Python module for decorators, wrappers and monkey patching
License:        BSD-2-Clause
URL:            https://github.com/GrahamDumpleton/wrapt
Source0:        https://github.com/GrahamDumpleton/wrapt/archive/refs/tags/%{version}.tar.gz

%description
The aim of the wrapt module is to provide a transparent object proxy for Python,
which can be used as the basis for the construction of function wrappers and decorator functions.
The wrapt module focuses very much on correctness. It therefore goes way beyond existing mechanisms
such as functools.wraps() to ensure that decorators preserve introspectability, signatures,
type checking abilities etc. The decorators that can be constructed using this module will work in
far more scenarios than typical decorators and provide more predictable and consistent behaviour.

%package -n python3-wrapt
Summary:        Module for decorators, wrappers and monkey patching.
Provides:       python-wrapt
# Base build requires
BuildRequires:  python3-sphinx
BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-wrapt
Python3 module for wrapt module.

%package help
Summary:        Module for decorators, wrappers and monkey patching.
Provides:       python3-wrapt-doc
%description help
The aim of the wrapt module is to provide a transparent object proxy for Python,
which can be used as the basis for the construction of function wrappers and decorator functions.
The wrapt module focuses very much on correctness. It therefore goes way beyond existing mechanisms
such as functools.wraps() to ensure that decorators preserve introspectability, signatures,
type checking abilities etc. The decorators that can be constructed using this module will work in
far more scenarios than typical decorators and provide more predictable and consistent behaviour.

%prep
%autosetup -n wrapt-%{version} -p1

%build
%py3_build
pushd docs
sphinx-build -b html -d build/doctrees . build/html
popd

%install
%py3_install

%files -n python3-wrapt
%doc README.rst LICENSE
%{python3_sitearch}/{wrapt,wrapt-%{version}-py*.egg-info}

%files help
%doc docs/build/html

%changelog
* Tue Apr 04 2023 xu_ping <xuping33@h-partners.com> - 1.15.0-1
- Upgrade version to 1.15.0

* Wed Dec 07 2022 dingdingaaaaa <dingziwei@kylinos.cn> - 1.14.1-1
- Upgrade version to 1.14.1

* Wed Jul 13 2022 caodongxia <caodongxia@h-partners.com> - 1.14.0-2
- Modify the install way to provides python3dist module

* Thu Jun 23 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.14.0-1
- Upgrade to version 1.14.0

* Sat Jun 04 2022 OpenStack_SIG <openstack@openeuler.org> - 1.13.3-1
- upgrade package python3-wrapt to version 1.13.3

* Tue May 10 2022 yangping <yangping69@h-partners> - 1.12.1-4
- License compliance rectification

* Wed Mar 30 2022 xu_ping <xuping33@huawei.com> - 1.12.1-3
- Fix non-recognition ? the installed failed

* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 1.12.1-2
- Completing build dependencies

* Wed Oct 14 2020 Zhipeng Xie <xiezhipeng1@huawei.com> - 1.12.1-1
- upgrade to 1.12.1

* Tue Aug 11 2020 zhangjiapeng <zhangjiapeng9@huawei.com> - 1.10.11-7
- Remove python2-wrapt subpackage

* Mon Feb 17 2020 daiqianwen <daiqianwen@huawei.com> - 1.10.11-6
- Package init
